SELECT F.* FROM (

SELECT [F].[Client_DB]
     , [F].[Hauptbetrieb_ID]
     , [F].[Hauptbetrieb_Name]
     , [F].[Standort_ID]
     , [F].[Standort_Name]
     , [F].[Document_No]
     , [F].[Rechnung_Gutschrift]
     , [F].[User_ID]
     , [F].[VIN]
     , [F].[Comment]
     , [F].[offen]
     , [F].[offen_Kunde_gesamt]
     , [F].[Invoice_Date]
     , [F].[Verursacher]
     , [F].[Kunde]
     , [F].[Beleg]
     , [F].[Bereich]
     , [F].[Tage]
     , CASE
           WHEN [F].[Tage] > 90 THEN 3
           WHEN [F].[Tage] > 60 THEN 2
           WHEN [F].[Tage] > 30 THEN 1
           ELSE 0
       END AS [Stufe]
     , replace([F].[Staffel], 'Wochen', 'W.') AS [Staffel]
     , [F].[Mahnstufe]
     , [F].[Forderungsart]
     --, [F].[Abwarten]
     , [F].[Verursacher_Benutzer_ID]
     , F.Kunde2
     , F.Beleg_Betrag
     , F.Kunde_gesamt_Bezug

     , left(isnull([FK].[Kommentar_Fibu], ''), 50) AS [Kommentar_Fibu]
     , left(isnull([FK].[Kommentar_Abteilung], ''), 50) AS [Kommentar_Abteilung]
     , [K].[Kunde_Email] AS [Kunde_Email]
     , coalesce([FD].[Wiedervorlage], dateadd(DAY, 14, [F].[Invoice_Date])) AS [Wiedervorlage]
     , CASE
           WHEN [FD].[Reklamation] = 'J' THEN 'Rekl.'
           WHEN [FD].[Versicherung] = 'J' THEN 'Vers.'
           WHEN [FD].[Rechtsanwalt] = 'J' THEN 'RA'
           WHEN [FD].[Mahnen_aussetzen] = 'J' THEN 'N'
           ELSE ''
       END AS [Abwarten]
     , isnull([FK].[Begründung], '') AS [Begründung]
     , isnull([FD].[Bearbeitet], 'N') AS [Bearbeitet]
     , dateadd(DAY, 14, [F].[Invoice_Date]) AS [Fällig_Datum]

FROM [dbo].[Forderungen] [F]
         LEFT JOIN [dbo].[Kunden] [K] ON [F].[Kunde_Nr] = [K].[Kunde_Nr] AND [F].[Client_DB] = [K].[Client_DB]
         LEFT JOIN [dbo].[Forderungen_Details] [FD] ON [F].[Client_DB] = [FD].[Client_DB] AND [F].[Document_No] = [FD].[Beleg_Nr]
         LEFT JOIN [dbo].[Forderungen_Kommentar_letzte] [FK] ON [F].[Client_DB] = [FK].[Client_DB] AND [F].[Document_No] = [FK].[Beleg_Nr]

) AS F
INNER JOIN [dbo].[Benutzer_Rechte] [BR] ON ([BR].[Benutzer_ID] = {{ BenutzerSelect.selectedOptionValue }} OR BR.Benutzer_ID = '')
AND [F].[Hauptbetrieb_ID] = [BR].[Hauptbetrieb_ID] 
AND [F].[Standort_ID] = [BR].[Standort_ID] 
AND ([BR].[Rolle] = 'Buchhaltung' OR [BR].[Benutzer_ID] = [F].[Verursacher_Benutzer_ID])

WHERE 1 = 1
ORDER BY F.[Wiedervorlage] ASC, F.[Tage] DESC